# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

Name:    qrop
Version: 0.4.5
Release: 5.ndias%{?dist}
Summary: Crop planning and record keeping software for and by market gardeners

License: GPLv3
URL:     https://qrop.frama.io
Source0: https://framagit.org/ah/qrop/-/archive/v0.4.5/qrop-v0.4.5.tar.bz2

BuildRequires: qt5-linguist, qt5-qtquickcontrols2-devel, qt5-qtdeclarative-devel
BuildRequires: chrpath, desktop-file-utils

%description
Qrop is a crop planning and record keeping free software designed by market
gardeners, for market gardeners, with the help of the wonderful French coop
L'Atelier paysan.

%prep
%setup -q -n %{name}-v%{version}


%build
export BUILD_DIR=%{_prefix}
cmake . -DCMAKE_BUILD_TYPE=Debug
make %{?_smp_mflags}
chrpath -r %{_libdir}/%{name} %{name} 


%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}/%{name}
install -d %{buildroot}%{_datadir}/applications
install -d %{buildroot}%{_datadir}/pixmaps
install qrop %{buildroot}%{_bindir}
install core/libcore.so %{buildroot}%{_libdir}/%{name}
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications dist/Qrop.desktop
install logo.png %{buildroot}%{_datadir}/pixmaps/qrop.png

%files
%doc AUTHORS.md CHANGELOG.md
%license LICENSE

%attr(0755,-,-) %{_bindir}/%{name}
%dir %{_libdir}/%{name}
%attr(0755,-,-) %{_libdir}/%{name}/libcore.so
%{_datadir}/applications/Qrop.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Feb 27 2021 Nuno Dias <Nuno.Dias@gmail.com> - 0.4.5-5.ndias
- Version 0.4.5
